--- title: "exportDbServerLogToObjectStorage" slug: "database-vmongodb-exportdbserverlogtoobjectstorage" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmongodb-exportdbserverlogtoobjectstorage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # exportDbServerLogToObjectStorage Available in VPC Send Cloud DB for MongoDB instance DB server log files to Object Storage. Note To send DB server log files to Object Storage, Object Storage buckets for storing and searching DB server log files must be created in advance. For more information, see the [Object Storage Guide](https://guide.ncloud-docs.com/docs/en/storage-storage-6-1). ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmongodb/v2/exportDbServerLogToObjectStorage | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) request headers](/docs/en/database-vmongodb#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MongoDB instance whose DB server log file you want to send to Object Storage - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `logType` | String | Required | DB server log file type - `log` \| `audit` | | `fileName` | String | Required | DB server log file name - See [getDbServerLogList](/docs/en/database-vmongodb-getdbserverloglist) | | `bucketName` | String | Required | Name of the Object Storage bucket the DB server log file will be sent to - See [getCloudMongoDbBucketList](/docs/en/database-mongodb-getcloudmongodbbucketlist) | | `cloudMongoDbServerInstanceNo` | String | Required | Cloud DB for MongoDB server instance number - See [getCloudMongoDbInstanceList](/docs/en/database-vmongodb-getcloudmongodbinstancelist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/exportDbServerLogToObjectStorage ?regionCode=KR &logType=log &fileName=configlog.log.2024-07-01T**-**-** &bucketName=bucket &cloudMongoDbServerInstanceNo=2515**** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) response status codes](/docs/en/database-vmongodb#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "exportDbServerLogToObjectStorageResponse": { "requestId": "ecc1ce95-****-****-****-788c5c4fe011", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` ecc1ce95-****-****-****-788c5c4fe011 0 success ```